<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="ApolloNvim modální editor" />
    <meta name="keywords" content="Projekt modálního editoru" />
    <meta name="author" content="Lukáš Kaňka" />
    <link rel="stylesheet" href="assets/style.css" />
    <!--nav bar-->
    <script src="https://kit.fontawesome.com/0a43c6cd1f.js" crossorigin="anonymous"></script>
    <!--icons dark, go to up-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>
    <!--         líbivé   ikony -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fork-awesome@1.2.0/css/fork-awesome.min.css"
        integrity="sha256-XoaMnoYC5TH6/+ihMEnospgm0J1PM/nioxbOUdnM8HY=" crossorigin="anonymous" />
    <title>🚀 ApolloNvim - Plugins</title>
</head>

<body>

    <?php require 'assets/header.php' ?>
    <section class="content" id="welcome">
        <section class="plugins">
            <h2>Pluginy:</h2>
            <h5>Bezpečnost a soukromí je to nejdůležitější, proto tu je tento seznam. V seznamu najdeš všechny pluginy
                co jsou použité v této konfiguraci s odkazem na zdroj. Plaginy které nechceš požívat zakomentuj nebo
                smaž v init.vim. Případě Coc plugin vynech při příkazu CocInstall název-plaginu.</h5>
            <h5>Seznam pravidelně aktualizujeme a vybíráme pluginy takovým způsebem aby v nich nedocházelo k konfliktům.
            </h5>
            <p>👉 <a class="green" href="https://github.com/m4xshen/autoclose.nvim" target="_blank">Autoclosetag</a>
                nástroj pro uzavírání všech typů závorek a tagů.</p>
            <p>👉 <a class="green" href="https://github.com/neoclide/coc.nvim" target="_blank">Coc</a> bálíčkovací
                manager pro instalování doplňků do Neovim.</p>
            <p>👉 <a class="green" href="https://xn--github-c5a.com/prettier/vim-prettier" target="_blank">Prettier</a>
                plugin pro zarovnání kódu.</p>
            <p>👉 <a class="green" href="https://github.com/othree/html5.vim" target="_blank">html5.vim</a> plugin pro
                HTML syntax highlighting.</p>
            <p>👉 <a class="green" href="https://github.com/valsorym/scrooloose-nerdtree" target="_blank">NERDTree</a>
                vytvoří vám stromový postranní panel.</p>
            <p>👉 <a class="green" href="https://github.com/Exafunction/codeium.vim" target="_blank">Codeium</a>
                alternativa k GitHub Copilot, který si případně lehce také můžete doinstalovat.</p>
            <p>👉 <a class="green" href="https://github.com/codota/tabnine-nvim" target="_blank">Tabnine</a> alternativa
                k GitHub Copilot, který si případně lehce také můžete doinstalovat.</p>
            <p>👉 <a class="green" href="https://github.com/mhinz/vim-startify" target="_blank">Startify</a>
                alternativní uvítací obrazovka s pokaždé jiným IT mottem v<strong> NORMAL módu</strong>. Nemusí fungovat
                s některými terminály či NERDTree nastaveným spuštěním po startu.</p>
            <p>👉 <a class="green" href="https://github.com/preservim/nerdcommenter" target="_blank">NERD Commenter</a>
                plugin pro zakomentování a odkomentování kódu. Zde ho máme nastaven na <code>Ctrl + k</code>.</p>
            <p>👉 <a class="green" href="https://wakatime.com/neovim" target="_blank">Wakatime</a> služba, která je
                schopna změřit, kolik času jste trávili při kódování na pc a i na kterém projektu. Služba se jednoduše
                propojí přes API. WakaTime najdeš <a href="https://wakatime.com/" target="_blank">zde</a>.</p>
            <p>👉 <a class="green" href="https://github.com/Pocco81/auto-save.nvim" target="_blank">Auto-save</a> plugin
                pro automatické ukládání, po přechodu z INSERT do NOEMAL módu.</p>
            <p>👉 <a class="green" href="https://github.com/nvim-treesitter/nvim-treesitter"
                    target="_blank">Tree-sitter</a> plugin pro zvýraznění kódu.</p>
            <p>👉 <a class="green" href="https://github.com/shellRaining/hlchunk.nvim" target="_blank">Hlchunk</a>
                propojí kód vertikálními lajny.</p>
            <p>👉 <a class="green" href="👉 Vim-Fugitive plugin pro git." target="_blank">Vim-Fugitive</a> plugin pro
                git.</p>
            <p>👉 <a class="green" href="https://github.com/lilydjwg/colorizer" target="_blank">Colorizer</a> plugin pro
                náhled barev dle kódového označení.</p>
            <p>👉 <a class="green" href="https://github.com/pangloss/vim-javascript" target="_blank">Vim -
                    javascript</a> plugin pro podporu javascript.</p>
            <h3>Coc extensions:</h3>
            <p>👉 <a class="green" href="https://github.com/neoclide/coc.nvim" target="_blank">Coc</a> manager pro
                instalování doplňků do Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/neoclide/coc.nvim/wiki/Using-coc-extensions"
                    target="_blank">Coc</a> extensions pod tímto odkazem najdeš všechny COC rozšíření do Neovim.</p>
            <p>👉 coc-tailwindcss</p>
            <p>👉 coc-json</p>
            <p>👉 coc-html-css-support</p>
            <p>👉 coc-html</p>
            <p>👉 coc-emmet</p>
            <p>👉 coc-xml</p>
            <p>👉 coc-tsserver</p>
            <p>👉 coc-lsp-wl</p>
            <p>👉 coc-lit-html</p>
            <p>👉 coc-htmldjango</p>
            <p>👉 coc-css</p>
            <p>👉 coc-markdown-preview-enhanced</p>
            <p>👉 coc-webview</p>
            <p>👉 coc-phpls</p>
            <p>👉 coc-prettier</p>
            <p>👉 coc-eslint</p>
            <p>👉 coc-highlighting</p>
            <h3>Colorschemes v tomto projektu:</h3>
            <p>👉 <a class="green" href="https://github.com/dracula/vim" target="_blank">Dracula</a> téma pro Neovim.
            </p>
            <p>👉 <a class="green" href="https://github.com/morhetz/gruvbox" target="_blank">Gruvbox</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/catppuccin/nvim" target="_blank">Catppuccin</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/arcticicestudio/nord-vim" target="_blank">Nord</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/ghifarit53/tokyonight-vim" target="_blank">Tokyo Night</a>
                téma pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/EdenEast/nightfox.nvim" target="_blank">Nightfox</a> téma
                pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/sainnhe/sonokai" target="_blank">Sonokai</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/Tsuzat/NeoSolarized.nvim" target="_blank">NeoSolarized</a>
                téma pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/bluz71/vim-moonfly-colors" target="_blank">Moonfly</a> téma
                pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/joshdick/onedark.vim" target="_blank">Onedark</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/sainnhe/edge" target="_blank">Edge</a> téma pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/vim-airline/vim-airline" target="_blank">Airline</a> téma
                pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/projekt0n/github-nvim-theme" target="_blank">GitHub</a> téma
                pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/bluz71/vim-nightfly-colors" target="_blank">Nightfly</a>
                téma pro Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/xero/miasma.nvim" target="_blank">Miasma</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/sts10/vim-pink-moon" target="_blank">Pink moon</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/tlhr/anderson.vim" target="_blank">Anderson</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/jacoborus/tender.vim" target="_blank">Tender</a> téma pro
                Neovim.</p>
            <p>👉 <a class="green" href="https://github.com/haishanh/night-owl.vim" target="_blank">Night owl</a> téma
                pro Neovim.</p>
        </section>
    </section>


    <?php require 'assets/returnbutton.php' ?>
    <?php require 'assets/footer.php' ?>
    <script src="assets/script.js"></script>
</body>

</html>